# Copyright (2016-2018) Hewlett Packard Enterprise Development LP.
# Copyright (2016-2018) Universidade Federal de Campina Grande
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

import networking_oneview.conf

_opts = [
    ('DEFAULT', networking_oneview.conf.default.opts),
    ('oneview', networking_oneview.conf.oneview.opts)
]


def list_opts():
    """Return a list of oslo.config options available in Networking OneView.

    The returned list includes all oslo.config options. Each element of
    the list is a tuple. The first element is the name of the group, the
    second element is the options.

    The function is discoverable via the 'networking-oneview' entry point under
    the 'oslo.config.opts' namespace.

    The function is used by Oslo sample config file generator to discover the
    options.

    :returns: a list of (group, options) tuples.
    """
    return _opts
